<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use UnexpectedValueException;




class MediaKeyDomain
{
    


    const PBUNSET = 0;
    


    const E2EE_CHAT = 1;
    


    const STATUS = 2;
    


    const CAPI = 3;
    


    const BOT = 4;

    private static $valueToName = [
        self::PBUNSET => 'UNSET',
        self::E2EE_CHAT => 'E2EE_CHAT',
        self::STATUS => 'STATUS',
        self::CAPI => 'CAPI',
        self::BOT => 'BOT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            $pbconst =  __CLASS__. '::PB' . strtoupper($name);
            if (!defined($pbconst)) {
                throw new UnexpectedValueException(sprintf(
                        'Enum %s has no value defined for name %s', __CLASS__, $name));
            }
            return constant($pbconst);
        }
        return constant($const);
    }
}

